Bug 963232 - RFE: v2v: a --no-cleanup would be useful for debugging of disk images that guestfs has issues converting
RFE: v2v: a --no-cleanup would be useful for debugging of disk images that gu...
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 08:54 EDT by Peter Robinson
Modified: 2014-09-10 08:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2013-05-15 08:54:51 EDT
virt-v2v generally converts machines without issue but when there's a problem it is way too efficient in cleaning up the disk images which makes debugging of the problematic disk images harder because you often then need to do a manual dd of the images over the network.

A --no-cleanup would be very useful for debugging of disk images that have conversion issues so as to make it easier to fix issues or investigate the disk images using something like guestfish or virt-rescue
Comment 1 Cole Robinson 2013-07-02 12:08:27 EDT
RFE, moving to the upstream tracker.

Note You need to log in before you can comment on or make changes to this bug.